Search for url

  1. Search 7.x for url
  2. Search 9.5.x for url
  3. Search 8.9.x for url
  4. Search 10.3.x for url
  5. Search 11.x for url
  6. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Url class core/modules/views/src/Plugin/views/field/Url.php Field handler to provide a renderer that turns a URL into a clickable link.
Url class core/lib/Drupal/Core/Render/Element/Url.php Provides a form element for input of a URL.
Url class core/lib/Drupal/Core/Url.php Defines an object that holds information about a URL.

All search results

Title Object type File name Summary
UrlGenerator::getContext function core/lib/Drupal/Core/Routing/UrlGenerator.php
UrlGenerator::getInternalPathFromRoute function core/lib/Drupal/Core/Routing/UrlGenerator.php Gets the path of a route.
UrlGenerator::getPathFromRoute function core/lib/Drupal/Core/Routing/UrlGenerator.php
UrlGenerator::getRoute function core/lib/Drupal/Core/Routing/UrlGenerator.php Find the route using the provided route name.
UrlGenerator::isStrictRequirements function core/lib/Drupal/Core/Routing/UrlGenerator.php
UrlGenerator::processPath function core/lib/Drupal/Core/Routing/UrlGenerator.php Passes the path to a processor manager to allow alterations.
UrlGenerator::processRoute function core/lib/Drupal/Core/Routing/UrlGenerator.php Passes the route to the processor manager for altering before compilation.
UrlGenerator::setContext function core/lib/Drupal/Core/Routing/UrlGenerator.php
UrlGenerator::setStrictRequirements function core/lib/Drupal/Core/Routing/UrlGenerator.php
UrlGenerator::__construct function core/lib/Drupal/Core/Routing/UrlGenerator.php Constructs a new generator object.
UrlGeneratorInterface interface core/lib/Drupal/Core/Routing/UrlGeneratorInterface.php Defines an interface for generating a URL from a route or system path.
UrlGeneratorInterface.php file core/lib/Drupal/Core/Routing/UrlGeneratorInterface.php
UrlGeneratorInterface::generateFromRoute function core/lib/Drupal/Core/Routing/UrlGeneratorInterface.php Generates a URL or path for a specific route based on the given parameters.
UrlGeneratorInterface::getPathFromRoute function core/lib/Drupal/Core/Routing/UrlGeneratorInterface.php Gets the internal path (system path) for a route.
UrlGeneratorTest class core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Confirm that the UrlGenerator is functioning properly.
UrlGeneratorTest.php file core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php
UrlGeneratorTest::$aliasManager property core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php The alias manager.
UrlGeneratorTest::$context property core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php The request context.
UrlGeneratorTest::$generator property core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php The URL generator to test.
UrlGeneratorTest::$processorManager property core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php The path processor.
UrlGeneratorTest::$provider property core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php The route provider.
UrlGeneratorTest::$requestStack property core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php The request stack.
UrlGeneratorTest::$routeProcessorManager property core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php The route processor manager.
UrlGeneratorTest::aliasManagerCallback function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Return value callback for getAliasByPath() on the mock alias manager.
UrlGeneratorTest::assertGenerateFromRoute function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Asserts \Drupal\Core\Routing\UrlGenerator::generateFromRoute()'s output.
UrlGeneratorTest::providerTestAliasGenerationWithOptions function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Provides test data for testAliasGenerationWithOptions.
UrlGeneratorTest::providerTestNoPath function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Data provider for ::testNoPath().
UrlGeneratorTest::setUp function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php
UrlGeneratorTest::setUpMockRouteProcessorManager function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Reinitializes the route processor manager as a mock object.
UrlGeneratorTest::testAbsoluteURLGeneration function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Confirms that absolute URLs work with generated routes.
UrlGeneratorTest::testAbsoluteURLGenerationUsingInterfaceConstants function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Confirms that absolute URLs work with generated routes using interface constants.
UrlGeneratorTest::testAliasGeneration function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Confirms that generated routes will have aliased paths.
UrlGeneratorTest::testAliasGenerationUsingInterfaceConstants function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Confirms that generated routes will have aliased paths using interface constants.
UrlGeneratorTest::testAliasGenerationWithOptions function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Confirms that generated routes will have aliased paths with options.
UrlGeneratorTest::testAliasGenerationWithParameters function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Confirms that generated routes will have aliased paths.
UrlGeneratorTest::testBaseURLGeneration function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Confirms that explicitly setting the base_url works with generated routes.
UrlGeneratorTest::testGenerateWithPathProcessorChangingOptions function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests generate with path processor changing options.
UrlGeneratorTest::testGenerateWithRouteNameInOptions function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests that route name and parameters are passed to path processors.
UrlGeneratorTest::testGetPathFromRouteTrailing function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests URL generation from route with trailing start and end slashes.
UrlGeneratorTest::testGetPathFromRouteWithSubdirectory function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests URL generation in a subdirectory.
UrlGeneratorTest::testNoPath function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests generating a relative URL with no path.
UrlGeneratorTest::testUrlGenerationWithDisabledPathProcessing function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests url generation with disabled path processing.
UrlGeneratorTest::testUrlGenerationWithDisabledPathProcessingByRoute function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests url generation with disabled path processing by route.
UrlGeneratorTest::testUrlGenerationWithDisabledPathProcessingByRouteAndOptedInPathProcessing function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests url generation with disabled path processing by route and opted in path processing.
UrlGeneratorTest::testUrlGenerationWithHttpsRequirement function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests the 'scheme' route requirement during URL generation.
UrlHelper class core/lib/Drupal/Component/Utility/UrlHelper.php Helper class URL based methods.
UrlHelper.php file core/lib/Drupal/Component/Utility/UrlHelper.php
UrlHelper::$allowedProtocols property core/lib/Drupal/Component/Utility/UrlHelper.php The list of allowed protocols.
UrlHelper::buildQuery function core/lib/Drupal/Component/Utility/UrlHelper.php Parses an array into a valid query string encoded with rawurlencode().
UrlHelper::compressQueryParameter function core/lib/Drupal/Component/Utility/UrlHelper.php Compresses a string for use in a query parameter.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.